Whamcloud - gitweb
b=23721 remove rdac & mptlinux build; canon ofed
[fs/lustre-release.git] / lustre / kernel_patches / targets / 2.6-sles10.target.in
index 02908c0..8bba7c9 100644 (file)
@@ -1,33 +1,31 @@
 lnxmaj="2.6.16"
 lnxmin=".60"
 lnxmaj="2.6.16"
 lnxmin=".60"
-# when we fix up this lnxmaj/lnxmin/lnxrel business...
-#lnxrel="0.33"
-# and note that this means we get rid of the EXTRA_VERSION_DELIMITER crap!!
-lnxrel="60-0.37_f594963d"
-
-# this is the delimeter that goes between $lnxmaj and $lnxrel
-# defaults to "-"
-EXTRA_VERSION_DELIMITER="."
+lnxrel="0.42.8"
+# use this when there is an "RPM fix" which means that the name of the
+# (source) RPM has been updated but the version of the kernel inside the
+# RPM is not also updated
+rpmfix=""
 
 # this is the delimeter that goes before the "smp" at the end of the version
 # defaults to empty
 
 # this is the delimeter that goes before the "smp" at the end of the version
 # defaults to empty
-TARGET_DELIMITER="-"
+FLAVOR_DELIMITER="-"
 
 
-KERNEL_SRPM=kernel-source-$lnxmaj.$lnxrel.src.rpm
-SERIES=2.6-sles10.series
+KERNEL_SRPM=kernel-source-${lnxmaj}${lnxmin}-${lnxrel}${rpmfix}.src.rpm
+SERIES=""
 VERSION=$lnxmaj
 VERSION=$lnxmaj
-EXTRA_VERSION="${lnxrel}_lustre.@VERSION@"
+EXTRA_VERSION="${lnxmin#.}-${lnxrel}_lustre.@VERSION@"
 LUSTRE_VERSION=@VERSION@
 
 LUSTRE_VERSION=@VERSION@
 
-OFED_VERSION=1.4.1-rc6
+OFED_VERSION=1.5.1
 
 BASE_ARCHS="i686 ppc x86_64 ia64 ppc64"
 BIGMEM_ARCHS=""
 BOOT_ARCHS=""
 JENSEN_ARCHS=""
 
 BASE_ARCHS="i686 ppc x86_64 ia64 ppc64"
 BIGMEM_ARCHS=""
 BOOT_ARCHS=""
 JENSEN_ARCHS=""
-SMP_ARCHS="x86_64 ia64 ppc64"
+SMP_ARCHS="x86_64 ia64"
 BIGSMP_ARCHS="i686"
 PSERIES64_ARCHS="ppc"
 BIGSMP_ARCHS="i686"
 PSERIES64_ARCHS="ppc"
+PPC64_ARCHS="ppc64"
 UP_ARCHS=""
 SRC_ARCHS=""
 #RPMSMPTYPE="smp"
 UP_ARCHS=""
 SRC_ARCHS=""
 #RPMSMPTYPE="smp"